from requests import get, post
from globals import *
from munch import DefaultMunch


bh_hdr = {'x-api-key': blackhistory_api, 'Content-Type': 'application/json'}
blackhistory_fact = DefaultMunch.fromDict(loads(get(blackhistory_endpoint, headers=bh_hdr).text)['data'][0])
post_text = f"{blackhistory_fact.text}. \n Event Date: {blackhistory_fact.date_of_event}\nSource: {blackhistory_fact.source_references[0].source_url}\n#BlackHistoryFacts"

post_hdr = {'Authorization': 'Bearer ' + botsy_token}
payload = {'status': post_text, 'visibility': 'mutuals_only' }

post_result = post(bots_endpoint + endpoints.status, headers=post_hdr, data=payload)
if post_result.reason == 'OK':
  notify(-1, 'BlackHistoryFacts: ' + loads(post_result.text)['url'])
else:
  notify(-1, 'Post failed: ' + post_result.reason)
